summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-03-28 12:30:26 +0100
committerJim Meyering <meyering@redhat.com>2008-03-28 14:21:27 +0100
commit818dbee8dc1a50f6dbc1ba85f7f25a47ded09930 (patch)
treea41919bce1bb89d83c10e11b9068d32706c0ba3c
parentb58a8b4ef588ec8a365b920d12e27fdd71aa48d1 (diff)
downloadcoreutils-818dbee8dc1a50f6dbc1ba85f7f25a47ded09930.tar.xz
Perform explicit exit-nonzero if the embedded Perl script fails.
* tests/misc/pwd-long: Add canonical '(exit $fail); exit $fail'. Signed-off-by: Jim Meyering <meyering@redhat.com>
-rwxr-xr-xtests/misc/pwd-long5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/misc/pwd-long b/tests/misc/pwd-long
index d931d3462..37b552c4c 100755
--- a/tests/misc/pwd-long
+++ b/tests/misc/pwd-long
@@ -1,4 +1,5 @@
#!/bin/sh
+# -*- perl -*-
# Ensure that pwd works even when run from a very deep directory.
# Copyright (C) 2006-2008 Free Software Foundation, Inc.
@@ -112,3 +113,7 @@ if ($expected ne $actual)
exit 1;
}
EOF
+
+fail=$?
+
+(exit $fail); exit $fail